Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-cmake rpm-macros-fedora-compat
BuildRequires: pkgconfig(curlpp)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name: curlpp
Version: 0.8.1
Release: alt1_15
Summary: A C++ wrapper for libcURL

License: MIT
URL: http://curlpp.org/
Source0:  https://github.com/jpbarrette/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

# patches for old curlpp 0.7.3, not needed for new curlpp > 0.8.1
# ARM 64
#Patch0:  curlpp-aarch64.patch
# fix FTBFS - rhbz 1106103
#Patch1:  curlpp-0.7.3-gcc49.patch

BuildRequires: boost-complete
BuildRequires: curl-devel
BuildRequires: ctest cmake
BuildRequires: gcc-c++
Source44: import.info

%description
cURLpp is a C++ wrapper for libcURL.


%package devel
Group: Development/C
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}
Requires: boost-complete
Requires: pkgconfig

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


# Convert CRLF line endings to LF in the examples
for file in examples/*.cpp
do
	sed 's/\r//' $file > $file.new && \
	touch -r $file $file.new && \
	mv $file.new $file
done

# remove deps on global.h which in turn pulls in config.h
sed -i '28 d' include/curlpp/Types.hpp

# quick hack
sed -i s,@VERSION@,%version, extras/curlpp.pc.in

%build
%{fedora_v2_cmake} CMAKE_C_FLAGS="%{optflags}" .
%fedora_v2_cmake_build


%install
%fedora_v2_cmake_install

# Unwanted library files
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_libdir}/*.a




%check
ctest -V %{?_smp_mflags}

%files
%doc doc/AUTHORS doc/TODO
%doc --no-dereference doc/LICENSE
%{_libdir}/libcurlpp.so.*


%files devel
%doc examples/*.cpp examples/README doc/guide.*
%{_bindir}/curlpp-config
%{_includedir}/curlpp/
%{_includedir}/utilspp/
%{_libdir}/libcurlpp.so
%{_libdir}/pkgconfig/curlpp.pc



%changelog
* Fri Oct 22 2021 Igor Vlasenko <viy@altlinux.org> 0.8.1-alt1_15
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.7.3-alt1_26
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.7.3-alt1_25
- update to new release by fcimport

* Wed Apr 08 2015 Igor Vlasenko <viy@altlinux.ru> 0.7.3-alt1_20
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 0.7.3-alt1_19
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.7.3-alt1_18
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 0.7.3-alt1_15
- update to new release by fcimport

* Mon Aug 05 2013 Igor Vlasenko <viy@altlinux.ru> 0.7.3-alt1_14
- update to new release by fcimport

* Mon Mar 25 2013 Igor Vlasenko <viy@altlinux.ru> 0.7.3-alt1_13
- update to new release by fcimport

* Mon Feb 11 2013 Igor Vlasenko <viy@altlinux.ru> 0.7.3-alt1_11
- update to new release by fcimport

* Mon Aug 27 2012 Igor Vlasenko <viy@altlinux.ru> 0.7.3-alt1_9
- update to new release by fcimport

* Wed Jun 20 2012 Igor Vlasenko <viy@altlinux.ru> 0.7.3-alt1_7
- fc import

